org.apache.lucene.index

## Class PointsStackTracker

- java.lang.Object
- - org.apache.lucene.index.PointsStackTracker

-     public class PointsStackTracker
      extends Object

  Simple utility class to track the current BKD stack based solely on calls to `PointValues.IntersectVisitor.compare(byte[], byte[])`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `PointsStackTracker.Cell`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<PointsStackTracker.Cell>` | `stack`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PointsStackTracker(int numDims, int bytesPerDim)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onCompare(byte[] minPackedValue, byte[] maxPackedValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### stack

          public final List<PointsStackTracker.Cell> stack

  - ### Constructor Detail

    - #### PointsStackTracker

          public PointsStackTracker(int numDims,
                                    int bytesPerDim)

  - ### Method Detail

    - #### onCompare

          public void onCompare(byte[] minPackedValue,
                                byte[] maxPackedValue)

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.